/* OpenOffice 1.1 for OS/2 Beta Installer */
/* (C) 2003 InnoTek Systemberatung GmbH    */

/* load the rexxutil library */
call RxFuncAdd "SysLoadFuncs", "REXXUTIL", "SysLoadFuncs"
call SysLoadFuncs

address cmd "@echo off"
address cmd "set TEMP=" || directory() || "\temp"
address cmd "set TMP=" || directory() || "\temp"
address cmd "setup.exe"

/* determine installation directory */
do while queued() > 0
  pull rubbish
end
address cmd "iwquery.exe | rxqueue > nul 2> nul"
do i = 1 to 3
  if (queued() > 0) then
  do
    pull queueData
    select
      when i = 3 then
      do
        systemDirectory = queueData
      end
      otherwise
    end
  end
end

/* check if the file exists */
sversion = systemDirectory || "\Application Data\sversion.ini"
if stream(sversion, "c", "query exists") = "" then
do
  SAY "ERROR: could not determine installation directory! Installation not complete/corrupted?"
  exit -1
end

/* just get the second line */
versionString = linein(sversion)
versionString = linein(sversion)

parse value versionString with foo1 'file:///' instDir

SAY "OpenOffice installation directory: " || instDir || ". Creating WPS objects..."

strFolderId = "<OS2KITOPENOFFICEFLD>"
strExeName = instDir || "\program\soffice.exe"
call SysCreateObject "WPFolder", "OpenOffice 1.1.0", "<WP_DESKTOP>", "OBJECTID=" || strFolderId || ";ALWAYSSORT=YES;", "r"
call SysCreateObject "WPProgram", "Drawing", strFolderId, "EXENAME=" || strExeName || ";PARAMETERS=-draw;OBJECTID=<OS2KITOODRAWING>;ICONFILE=" || directory() || "\drawing.ico;", "r"
call SysCreateObject "WPProgram", "From Template", strFolderId, "EXENAME=" || strExeName || ";PARAMETERS=.uno:NewDoc;OBJECTID=<OS2KITOOFROMTEMPLATE>;ICONFILE=" || directory() || "\template.ico;", "r"
call SysCreateObject "WPProgram", "HTML Document", strFolderId, "EXENAME=" || strExeName || ";PARAMETERS=-web;OBJECTID=<OS2KITOOHTMLDOCUMENT>;ICONFILE=" || directory() || "\html.ico;", "r"
call SysCreateObject "WPProgram", "Open Document", strFolderId, "EXENAME=" || strExeName || ";PARAMETERS=.uno:Open;OBJECTID=<OS2KITOOOPENDOCUMENT>;ICONFILE=" || directory() || "\open.ico;", "r"
call SysCreateObject "WPProgram", "Presentation", strFolderId, "EXENAME=" || strExeName || ";PARAMETERS=-impress;OBJECTID=<OS2KITOOPRESENTATION>;ICONFILE=" || directory() || "\presentation.ico;", "r"
call SysCreateObject "WPProgram", "Spreadsheet", strFolderId, "EXENAME=" || strExeName || ";PARAMETERS=-calc;OBJECTID=<OS2KITOOSPREADSHEET>;ICONFILE=" || directory() || "\spreadsheet.ico;", "r"
call SysCreateObject "WPProgram", "Text Document", strFolderId, "EXENAME=" || strExeName || ";PARAMETERS=-writer;OBJECTID=<OS2KITOOTEXTDOCUMENT>;ICONFILE=" || directory() || "\text.ico;", "r"

exit